Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.sdk
Class DecoratedRemoteSession

    java.lang.Object
      com.axeda.esrs.sdk.DecoratedRemoteSession

    public class DecoratedRemoteSession

extends java.lang.Object

A Decorated container for the RemoteSession object. The

Constructor Summary
`DecoratedRemoteSession(RemoteSession session, int dscPort, boolean secure)` The only public constructor requires all of the info this class needs.

Method Summary
`int` | `getDscPort()` Gets the port for the direct socket connection to the GAS server.
`java.lang.String` | `getIP()` Get the IP of the GAS server
`java.lang.String` | `getSessionId()` Get the session identifier
`int` | `getStatus()` Gets the status of the remote session.
`java.lang.String` | `getUrl()` Gets the URL for getting data (this includes protocol)
`boolean` | `isMultiUser()` Gets the multiuser flag for the session
`boolean` | `isSecure()` Gets the secure flag for the session.
`boolean` | `isValid()` Gets the valid flag, indicating that the session established OK

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecoratedRemoteSession

    public DecoratedRemoteSession(RemoteSession session,
                                  int dscPort,
                                  boolean secure)

  The only public constructor requires all of the info this class needs.

  Parameters:
    `session` - The RemoteSession which is being decorated. It is assumed that any null checking was done prior to this call.
    `dscPort` - The direct socket connection port, which was chosen based on the secure boolean
    `secure` - If true the session will use SSL, if false the session will not use SSL

Method Detail

### getIP

    public java.lang.String getIP()

  Get the IP of the GAS server

  Returns:
    String representing the IP

### getSessionId

    public java.lang.String getSessionId()

  Get the session identifier

  Returns:
    The String representing the session ID

### getUrl

    public java.lang.String getUrl()

  Gets the URL for getting data (this includes protocol)

  Returns:
    String representing the URL

### getStatus

    public int getStatus()

  Gets the status of the remote session. This int can be looked up in the RemoteAccessSessionStatus class.

  Returns:
    The int representing the current status of the session

### isMultiUser

    public boolean isMultiUser()

  Gets the multiuser flag for the session

  Returns:
    True if the session allows another user to merge into the session

### isValid

    public boolean isValid()

  Gets the valid flag, indicating that the session established OK

  Returns:
    True if the session is valid, false if it is invalid

### getDscPort

    public int getDscPort()

  Gets the port for the direct socket connection to the GAS server. This will be secure if the secure boolean is True.

  Returns:
    An int representation of the direct socket connectcion port

### isSecure

    public boolean isSecure()

  Gets the secure flag for the session.

  Returns:
    True if the session will be using SSL, false if the session will not be using SSL

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD